<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'luzuk_about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_about_area_disable',
            array(
                'settings'      => 'luzuk_about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 
backgroundManager($wp_customize, 'about', 'about_area', $color='#f9f9f9', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding ');

$wp_customize->add_setting(
    'about_areaTpadding1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding1',
    array(
        'settings'      => 'about_areaTpadding1',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding1',
    array(
        'settings'      => 'about_areaBpadding1',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);
  $wp_customize->add_setting(
        'about_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_heading',
            array(
                'settings'      => 'about_image_heading',
                'section'       => 'about_area',
                'label'         => __( 'Left Box Images', 'luzuk-premium' ),
            )
        )
    );

$wp_customize->add_setting(
        'about_image_1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_1',
            array(
                'settings'      => 'about_image_1',
                'section'       => 'about_area',
                'label'         => __( 'Image 1', 'luzuk-premium' ),
            )
        )
    );
 $wp_customize->add_setting(
        'about_image1',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image1',
            array(
                'section' => 'about_area',
                'settings' => 'about_image1',
                'description' => __('Recommended Image Size: 545X620px', 'luzuk-premium')
            )
        )
    );

$wp_customize->add_setting(
        'about_image_2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_2',
            array(
                'settings'      => 'about_image_2',
                'section'       => 'about_area',
                'label'         => __( 'Image 2', 'luzuk-premium' ),
            )
        )
    );

$wp_customize->add_setting(
        'about_image2',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image2',
            array(
                'section' => 'about_area',
                'settings' => 'about_image2',
                'description' => __('Recommended Image Size: 545X620px', 'luzuk-premium')
            )
        )
    );

$wp_customize->add_setting(
        'about_image_3',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_3',
            array(
                'settings'      => 'about_image_3',
                'section'       => 'about_area',
                'label'         => __( 'Image 3', 'luzuk-premium' ),
            )
        )
    );

$wp_customize->add_setting(
        'about_image3',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image3',
            array(
                'section' => 'about_area',
                'settings' => 'about_image3',
                'description' => __('Recommended Image Size: 545X620px', 'luzuk-premium')
            )
        )
    );
lzCustomLable($wp_customize, 'aboutarea_rhssec', 'about_area', 'Right Box ');

    $wp_customize->add_setting(
        'about_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_title_heading',
            array(
                'settings'      => 'about_title_heading',
                'section'       => 'about_area',
                'label'         => __( 'Section Heading , Sub Heading & Text ', 'luzuk-premium' ),
            )
        )
    );    

    $wp_customize->add_setting(
        'about_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Qualified Experts', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_title',
        array(
            'settings'      => 'about_title',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_sectitle_color', 'about_area', 'Heading Color ', '#008aff');

    $wp_customize->add_setting(
        'about_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas feugiat erat quis est semper, vitae sodales massa luctus. Nam aliquam odio vel sodales faucibus. Proin nec eleifend urna. Suspendisse rutrum gravida turpis, et suscipit erat blandit efficitur. Nulla iaculis bibendum nunc, lacinia tincidunt nibh eleifend at. ' )
        )
    );
    $wp_customize->add_control(
        'about_text',
        array(
            'settings'      => 'about_text',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Heading Text', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#969696');

$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of About Plans To Show ', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 5));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plans To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Plan ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-check',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'Font Awesome Icon', 'luzuk-premium' ),
            )
        )
    );
    
lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Lorem ipsum dolor sit amet, consectetur adipiscing');  

}
lzCustomLable($wp_customize, 'about_colors', 'about_area', 'Section Color Setting');

addColorPalatOption($wp_customize, 'about_area_pageicon', 'about_area', 'About Section Icon Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_pageiconbgclr', 'about_area', 'About Section Icon BG Color', '#0089ff');

addColorPalatOption($wp_customize, 'about_area_pageiconhv', 'about_area', 'About Section Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_pageiconbghvclr', 'about_area', 'About Section Icon BG Hover Color', '#000');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'About Section Icon Title Color', '#969696');

addColorPalatOption($wp_customize, 'about_area_pagetitlehv', 'about_area', 'About Section Icon Title Hover Color', '#008aff'); 